Last Comment Bug 853483 - Triage report times out on Firefox (Any) query
: Triage report times out on Firefox (Any) query
Status: RESOLVED FIXED
:
Product: bugzilla.mozilla.org
Classification: Other
Component: General (show other bugs)
: Production
: x86 Mac OS X
: -- normal (vote)
: ---
Assigned To: Byron Jones ‹:glob› [PTO until 2016-10-10]
:
:
Mentors:
https://bugzilla.mozilla.org/page.cgi...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-21 09:11 PDT by Liz Henry (:lizzard) (needinfo? me)
Modified: 2013-04-23 21:53 PDT (History)
4 users (show)
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch v1 (88.45 KB, patch)
2013-03-25 08:28 PDT, Byron Jones ‹:glob› [PTO until 2016-10-10]
dkl: review+
Details | Diff | Splinter Review

Description Liz Henry (:lizzard) (needinfo? me) 2013-03-21 09:11:00 PDT
At https://bugzilla.mozilla.org/page.cgi?id=triage_reports.html , when I request the Firefox report for _Any_ , where the last commenter is the reporter, the query fails with the message, "Service Unavailable. The service is temporarily unavailable. Please try again later."  

Narrower queries still work.
Comment 1 Byron Jones ‹:glob› [PTO until 2016-10-10] 2013-03-25 08:28:15 PDT
Created attachment 728991 [details] [diff] [review]
patch v1

the problem here is the amount of bugs it has to process is too large, causing a timeout in the load balancer.  to address this i've set an upper-limit on the number of bugs.

i also took the opportunity to do some long-overdue refactoring of the custom reports by breaking out each set of reports into their own files.
Comment 2 David Lawrence [:dkl] 2013-04-23 14:54:12 PDT
Comment on attachment 728991 [details] [diff] [review]
patch v1

Review of attachment 728991 [details] [diff] [review]:
-----------------------------------------------------------------

Just minor stuff. Otherwise the reports worked fine for me and the new error message worked as well. r=dkl

::: extensions/BMO/template/en/default/pages/email_queue.html.tmpl
@@ +47,4 @@
>          [% END %]
>        </td>
>        <td>
> +        [% job.subject ? job.subject : '-' FILTER html %]

s/subject/error_message/

@@ +52,5 @@
>      </tr>
> +    [% IF job.subject %]
> +      <tr class="report item [% loop.count % 2 == 1 ? "report_row_odd" : "report_row_even" %]">
> +        <td colspan="3">&nbsp;</td>
> +        <td colspan="3">[% job.subject FILTER html %]</td>

I feel this would look better if you used the entire row for the subject. For example:

<td colspan="6">Subject: [% job.subject FILTER html %]</td>
Comment 3 Byron Jones ‹:glob› [PTO until 2016-10-10] 2013-04-23 21:53:27 PDT
Committing to: bzr+ssh://bjones%40mozilla.com@bzr.mozilla.org/bmo/4.2/
modified extensions/BMO/Extension.pm
added extensions/BMO/lib/Reports
missing extensions/BMO/lib/Reports.pm
deleted extensions/BMO/lib/Reports.pm
added extensions/BMO/lib/Util.pm
added extensions/BMO/lib/Reports/EmailQueue.pm
added extensions/BMO/lib/Reports/Groups.pm
added extensions/BMO/lib/Reports/ReleaseTracking.pm
added extensions/BMO/lib/Reports/Triage.pm
added extensions/BMO/lib/Reports/UserActivity.pm
modified extensions/BMO/template/en/default/hook/global/user-error-errors.html.tmpl
modified extensions/BMO/template/en/default/pages/email_queue.html.tmpl
Committed revision 8756.

Note You need to log in before you can comment on or make changes to this bug.